.nolist

;                                             LENGTH (+80H FOR LEADING BLANK)
;       # TOKENS IN USE = 249
;						     (+40H FOR TRAILING BLANK)
EOSSTART        .EQU       0
;
;
;   DISPLAY CONVERSIONS  COME IMMEDIATELY BEFORE 'TSTORE'
;
DCONV   .EQU     01H
;
TTODMS          .EQU       DCONV       ; 01H
TTODEC          .EQU       DCONV+1     ; 02H
TTOABC          .EQU       DCONV+2     ; 03H    > A B/C
;
TSTORE          .EQU       DCONV+3     ; 04H LSTORE                01
;
TBOXPLOT        .EQU       05H
;
BRACKS          .EQU       06H
;
TLBRACK         .EQU       BRACKS      ; 06H '['
TRBRACK         .EQU       BRACKS+1    ; 07H ']'
TLBRACE         .EQU       BRACKS+2    ; 08H '{'
TRBRACE         .EQU       BRACKS+3    ; 09H '}'
;
TPOST1          .EQU       BRACKS+4
;
TFROMRAD        .EQU       TPOST1       ; 0AH LRADIAN
TFROMDEG        .EQU       TPOST1+1     ; 0BH LDEGREE
TRECIP          .EQU       TPOST1+2     ; 0CH LINVERSE
TSQR            .EQU       TPOST1+3     ; 0DH LSQUARE
TTRNSPOS        .EQU       TPOST1+4     ; 0EH LTRANSPOSE
TCUBE           .EQU       TPOST1+5     ; 0FH '^3'
;
TLPAREN         .EQU       10H         ; 10H '('
TRPAREN         .EQU       11H         ; 11H ')'
;
;
;   IMMEDIATE UNARY TOKENS GO FROM HERE TO 'EOSEL-1'
;
IMUN            .EQU       12H
;
TROUND          .EQU       IMUN        ; 12H 'ROUND'
TPXTST          .EQU       IMUN+1      ; 13H 'PXL-TEST'
TAUG            .EQU       IMUN+2      ; 14H 'AUG'
TROWSWAP        .EQU       IMUN+3      ; 15H 'RSWAP'
TROWPLUS        .EQU       IMUN+4      ; 16H 'RADD'
TMROW           .EQU       IMUN+5      ; 17H 'MULTR'
TMROWPLUS       .EQU       IMUN+6      ; 18H 'MRADD'
TMAX            .EQU       IMUN+7      ; 19H 'MAX'
TMIN            .EQU       IMUN+8      ; 1AH 'MIN'
TRTOPR          .EQU       IMUN+9      ; 1BH 'R>PR
TRTOPO          .EQU       IMUN+10     ; 1CH 'R>PO
TPTORX          .EQU       IMUN+11     ; 1DH 'P>RX
TPTORY          .EQU       IMUN+12     ; 1EH 'P>RY
TMEDIAN         .EQU       IMUN+13     ; 1FH 'MEDIAN
TRANDM          .EQU       IMUN+14     ; 20H 'RANDM'
TMEAN           .EQU       IMUN+15     ; 21H
TROOT           .EQU       IMUN+16     ; 22H 'ROOT'
TSERIES         .EQU       IMUN+17     ; 23H 'SEQ'
TFNINT          .EQU       IMUN+18     ; 24H 'FNINT'
TNDERIV         .EQU       IMUN+19     ; 25H 'FNIR'
TEVALF          .EQU       IMUN+20     ; 26H
TFMIN           .EQU       IMUN+21     ; 27H
TFMAX           .EQU       IMUN+22     ; 28H
;
;
;
;  TOKEN 29H CANNOT BE AN EOS FUNCTION SINCE EL(=29H ALREADY
;
TEOSEL          .EQU       IMUN+23
;
TSPACE          .EQU       TEOSEL       ; 29H   ' '
TSTRING         .EQU       TEOSEL+1     ; 2AH  '"'
TCOMMA          .EQU       TEOSEL+2     ; 2BH  ','
;
;
;
TII             .EQU       2CH         ; I
;
; ===== POSTFIX FUNCTIONS
;
TPOST           .EQU       2DH
;
TFACT           .EQU       TPOST       ; 2DH '!'



TCUBICR         .EQU       2EH
TQUARTR         .EQU       2FH

;
;       NUMBER TOKENS
;
NUMS            .EQU       30H
;
T0              .EQU       NUMS        ; 30H
T1              .EQU       NUMS+1      ; 31H
T2              .EQU       NUMS+2      ; 32H
T3              .EQU       NUMS+3      ; 33H
T4              .EQU       NUMS+4      ; 34H
T5              .EQU       NUMS+5      ; 35H
T6              .EQU       NUMS+6      ; 36H
T7              .EQU       NUMS+7      ; 37H
T8              .EQU       NUMS+8      ; 38H
T9              .EQU       NUMS+9      ; 39H
TDECPT          .EQU       NUMS+10     ; 3AH
TEE             .EQU       NUMS+11     ; 3BH
;
;   BINARY OP
;
TOR             .EQU       3CH         ; 3CH  '_OR_'
TXOR            .EQU       3DH         ; 3DH
;
TCOLON          .EQU       3EH         ; 3EH ':'
TENTER          .EQU       3FH         ; 3FH  LENTER
;
;   BINARY OP
;
TAND            .EQU       40H         ; 40H  '_AND_'               05
;
;       LETTER TOKENS
;
LET             .EQU       41H
;
TA              .EQU       LET         ; 41H
TB              .EQU       LET+1       ; 42H
TC              .EQU       LET+2       ; 43H
TD              .EQU       LET+3       ; 44H
TE              .EQU       LET+4       ; 45H
TF              .EQU       LET+5       ; 46H
TG              .EQU       LET+6       ; 47H
TH              .EQU       LET+7       ; 48H
TI              .EQU       LET+8       ; 49H
TJ              .EQU       LET+9       ; 4AH
TK              .EQU       LET+10      ; 4BH
TL              .EQU       LET+11      ; 4CH
TM              .EQU       LET+12      ; 4DH
TN              .EQU       LET+13      ; 4EH
TO              .EQU       LET+14      ; 4FH
TP              .EQU       LET+15      ; 50H
TQ              .EQU       LET+16      ; 51H
TR              .EQU       LET+17      ; 52H
TS              .EQU       LET+18      ; 53H
TT              .EQU       LET+19      ; 54H
TU              .EQU       LET+20      ; 55H
TV              .EQU       LET+21      ; 56H
TW              .EQU       LET+22      ; 57H
TX              .EQU       LET+23      ; 58H
TY              .EQU       LET+24      ; 59H
TZ              .EQU       LET+25      ; 5AH
TTHETA          .EQU       LET+26      ; 5BH
;
;
;   THESE VAR TOKENS ARE 1ST OF A DOUBLE TOKEN
;
;   SEE 'VARS.DOC' FOR MORE INFO ON VARS
;
VTOKS   .EQU     LET+27    ;
;
;       USER MATRIX TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARMAT         .EQU       VTOKS       ; 5CH
;
;       USER LIST TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARLST         .EQU       VTOKS+1     ; 5DH
;
;       USER EQUATION TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVAREQU         .EQU       VTOKS+2     ; 5EH
;
;       THIS IS A SINGLE TOKEN, I WILL HAVE TO READ THE NAME IN
;       EVERY SINGLE TIME I EXECUTE
;
TPROG           .EQU       VTOKS+3     ; 5FH
;
;       USER PICT TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARPICT        .EQU       VTOKS+4     ; 60H
;
;       USER GDB TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARGDB         .EQU       VTOKS+5     ; 61H
;
;       SYSTEM VARS THAT ARE USED FOR OUTPUT ONLY
;       CANNOT BE STORED TO BY THE USER
;
TVAROUT         .EQU       VTOKS+6     ; 62H
;
;       SYSTEM VARS THAT ARE NOT IN THE SYMBOL TABLE
;       BUT THE USER CAN STORE TO THEM.
;
TVARSYS         .EQU       VTOKS+7     ; 63H
;
;
; ===== MODE SETTING COMMANDS
;
MODESA          .EQU       VTOKS+8     ; 64H
;
TRAD            .EQU       MODESA      ; 64H 'RADIAN'
TDEG            .EQU       MODESA+1    ; 65H 'DEGREE'
TNORMF          .EQU       MODESA+2    ; 66H 'NORMAL'
TSCI            .EQU       MODESA+3    ; 67H 'SCI'
TENG            .EQU       MODESA+4    ; 68H 'ENG'
TFLOAT          .EQU       MODESA+5    ; 69H 'FLOAT'
;
CMPS            .EQU       6AH
;
TEQ             .EQU       CMPS        ; 6AH '=='
TLT             .EQU       CMPS+1      ; 6BH '<'
TGT             .EQU       CMPS+2      ; 6CH '>'
TLE             .EQU       CMPS+3      ; 6DH LLE
TGE             .EQU       CMPS+4      ; 6EH LGE
TNE             .EQU       CMPS+5      ; 6FH LNE
;
;   BINARY OP
;
TADD            .EQU       70H         ; 70H '+'
TSUB            .EQU       71H         ; 71H '-'
;
TANS            .EQU       72H         ; 72H
;
; ===== MODE SETTING COMMANDS
;
MODES           .EQU       73H
;
TFIX            .EQU       MODES       ; 73H 'FIX_'
TSPLITON        .EQU       MODES+1     ; 74H
TFULLSCREEN     .EQU       MODES+2     ; 75H
TSTNDRD         .EQU       MODES+3     ; 76H 'FUNC'
TPARAM          .EQU       MODES+4     ; 77H 'PARAM'
TPOLAR          .EQU       MODES+5     ; 78H 'POL'
TSEQG           .EQU       MODES+6     ; 79H
TAFILLON        .EQU       MODES+7     ; 7AH 'AUTO FILL ON
TAFILLOFF       .EQU       MODES+8     ; 7BH
TACALCON        .EQU       MODES+9     ; 7CH
TACALCOFF       .EQU       MODES+10    ; 7DH 'AUTOFILL OFF
;
;
;       GRAPH FORMAT TOKENS ARE 2 BYTE TOKENS
;
TGFORMAT        .EQU       MODES+11    ; 7EH
;
TBOXICON        .EQU       7FH
TCROSSICON      .EQU       80H
TDOTICON        .EQU       81H
;
;       BINARY OP
;
TMUL            .EQU       82H         ; 82H  '*'
TDIV            .EQU       83H         ; 83H  '/'
;
;       SOME GRAPH COMMANDS
;
GRCMDS          .EQU       84H
;
TTRACE          .EQU       GRCMDS      ; 84H 'TRACE'
TCLDRW          .EQU       GRCMDS+1    ; 85H 'CLDRW'
TZOOMSTD        .EQU       GRCMDS+2    ; 86H 'ZSTD'
TZOOMTRG        .EQU       GRCMDS+3    ; 87H 'ZTRG'
TZOOMBOX        .EQU       GRCMDS+4    ; 88H 'ZBOX'
TZOOMIN         .EQU       GRCMDS+5    ; 89H 'ZIN'
TZOOMOUT        .EQU       GRCMDS+6    ; 8AH 'ZOUT'
TZOOMSQR        .EQU       GRCMDS+7    ; 8BH 'ZSQR'
TZOOMINT        .EQU       GRCMDS+8    ; 8CH 'ZINT'
TZOOMPREV       .EQU       GRCMDS+9    ; 8DH 'ZPREV'
TZOOMDEC        .EQU       GRCMDS+10   ; 8EH 'ZDECM'
TZOOMSTAT       .EQU       GRCMDS+11   ; 8FH 'ZSTAT
TUSRZM          .EQU       GRCMDS+12   ; 90H 'ZRCL'
TPRTSCRN        .EQU       GRCMDS+13   ; 91H 'PRTSCRN'
TZOOMSTO        .EQU       GRCMDS+14   ; 92H  ZOOM STORE
TTEXT           .EQU       GRCMDS+15   ; 93H
;
;       BINARY OP
;
TNPR            .EQU       GRCMDS+16   ; 94H '_NPR_'
TNCR            .EQU       GRCMDS+17   ; 95H '_NCR_'
;
;       MORE GRAPH COMMANDS
;
TYON            .EQU       GRCMDS+18   ; 96H 'FNON_'
TYOFF           .EQU       GRCMDS+19   ; 97H 'FNOFF_'
TSTPIC          .EQU       GRCMDS+20   ; 98H 'STPIC_'
TRCPIC          .EQU       GRCMDS+21   ; 99H 'RCPIC_'
TSTODB          .EQU       GRCMDS+22   ; 9AH 'STGDB_'
TRCLDB          .EQU       GRCMDS+23   ; 9BH 'RCGDB_'
TLINE           .EQU       GRCMDS+24   ; 9CH 'LINE'
TVERT           .EQU       GRCMDS+25   ; 9DH 'VERT_'
TPTON           .EQU       GRCMDS+26   ; 9EH 'PTON'
TPTOFF          .EQU       GRCMDS+27   ; 9FH 'PTOFF'
;
;  TOKEN A0 CANNOT BE AN EOS FUNCTION SINCE LOW MULT=A0 ALREADY
;
TPTCHG          .EQU       GRCMDS+28   ; A0H 'PTCHG'
TPXON           .EQU       GRCMDS+29   ; A1H
TPXOFF          .EQU       GRCMDS+30   ; A2H
TPXCHG          .EQU       GRCMDS+31   ; A3H
TSHADE          .EQU       GRCMDS+32   ; A4H 'SHADE'
TCIRCL          .EQU       GRCMDS+33   ; A5H 'CIRCL'
THORZ           .EQU       GRCMDS+34   ; A6H 'HORIZONTAL'
TTANLN          .EQU       GRCMDS+35   ; A7H 'TANLN'
TDRINV          .EQU       GRCMDS+36   ; A8H 'DRINV_'
TDRAWF          .EQU       GRCMDS+37   ; A9H 'DRAWF_'
;
TVARSTRNG       .EQU       0AAH
;
; ===== FUNCTIONS WITH NO ARGUMENTS
;
NOARG   .EQU     0ABH
;
TRAND           .EQU       NOARG       ; ABH 'RAND'
TPI             .EQU       NOARG+1     ; ACH  LPI
TGETKEY         .EQU       NOARG+2     ; ADH 'GETKY'
;
;
TAPOST          .EQU       TGETKEY+1   ; APOSTROPHY
TQUEST          .EQU       TAPOST+1    ; QUESTION MARK
;
;
; ===== UNARY FUNCTIONS
;
;       UNARY : THESE UNARY FUNCTIONS TAKE A COMBINATION OF
;               ARGUMENTS, REAL,LIST,MATRIX
;
UNARY   .EQU     TQUEST+1              ; B0H
;
TCHS            .EQU       UNARY       ; B0H
TINT            .EQU       UNARY+1     ; B1H
TABS            .EQU       UNARY+2     ; B2H
TDET            .EQU       UNARY+3     ; B3H
TIDENT          .EQU       UNARY+4     ; B4H
TDIM            .EQU       UNARY+5     ; B5H
TSUM            .EQU       UNARY+6     ; B6H
TPROD           .EQU       UNARY+7     ; B7H
TNOT            .EQU       UNARY+8     ; B8H
TIPART          .EQU       UNARY+9     ; B9H
TFPART          .EQU       UNARY+10    ; BAH
;
;
;       NEW 2 BYTE TOKENS
;
T2BYTETOK       .EQU       0BBH         ;
;
;
;       UNARYLR : UNARY FUNCTIONS THAT ONLY WORK WITH
;                 REAL NUMBERS AND LISTS
;
UNARYLR .EQU     UNARY+12
;
TSQRT           .EQU       UNARYLR     ; BCH
TCUBRT          .EQU       UNARYLR+1   ; BDH
TLN             .EQU       UNARYLR+2   ; BEH
TEXP            .EQU       UNARYLR+3   ; BFH
TLOG            .EQU       UNARYLR+4   ; C0H
TALOG           .EQU       UNARYLR+5   ; C1H
TSIN            .EQU       UNARYLR+6   ; C2H
TASIN           .EQU       UNARYLR+7   ; C3H
TCOS            .EQU       UNARYLR+8   ; C4H
TACOS           .EQU       UNARYLR+9   ; C5H
TTAN            .EQU       UNARYLR+10  ; C6H
TATAN           .EQU       UNARYLR+11  ; C7H
TSINH           .EQU       UNARYLR+12  ; C8H
TASINH          .EQU       UNARYLR+13  ; C9H
TCOSH           .EQU       UNARYLR+14  ; CAH
TACOSH          .EQU       UNARYLR+15  ; CBH
TTANH           .EQU       UNARYLR+16  ; CCH
TATANH          .EQU       UNARYLR+17  ; CDH
;
;       SOME PROGRAMMING COMMANDS
;
PROGTOK .EQU     UNARYLR+18
;
TIF             .EQU       PROGTOK     ; CEH
TTHEN           .EQU       PROGTOK+1   ; CFH
TELSE           .EQU       PROGTOK+2   ; D0H
TWHILE          .EQU       PROGTOK+3   ; D1H
TREPEAT         .EQU       PROGTOK+4   ; D2H
TFOR            .EQU       PROGTOK+5   ; D3H
TEND            .EQU       PROGTOK+6   ; D4H
TRETURN         .EQU       PROGTOK+7   ; D5H
TLBL            .EQU       PROGTOK+8   ; D6H   'LBL_'
TGOTO           .EQU       PROGTOK+9   ; D7H   'GOTO_'
TPAUSE          .EQU       PROGTOK+10  ; D8H   'PAUSE_'
TSTOP           .EQU       PROGTOK+11  ; D9H   'STOP'
TISG            .EQU       PROGTOK+12  ; DAH   'IS>'
TDSL            .EQU       PROGTOK+13  ; DBH   'DS<'
TINPUT          .EQU       PROGTOK+14  ; DCH   'INPUT_'
TPROMPT         .EQU       PROGTOK+15  ; DDH   'PROMPT_'
TDISP           .EQU       PROGTOK+16  ; DEH   'DISP_'
TDISPG          .EQU       PROGTOK+17  ; DFH   'DISPG'
;
;  TOKEN E0 CANNOT BE AN EOS FUNCTION SINCE HI MU
;
TOUTPUT         .EQU       PROGTOK+18  ; E0H    'OUTPT'
TCLLCD          .EQU       PROGTOK+19  ; E1H    'CLLCD'
TCONST          .EQU       PROGTOK+20  ; E2H    'FILL'
TSORTA          .EQU       PROGTOK+21  ; E3H    'SORTA_'
TSORTD          .EQU       PROGTOK+22  ; E4H    'SORTD_'
TDISPTAB        .EQU       PROGTOK+23  ; E5H    'DISP TABLE
TMENU           .EQU       PROGTOK+24  ; E6H    'MENU'
TSENDMBL        .EQU       PROGTOK+25  ; E7H    'SEND'
TGETMBL         .EQU       PROGTOK+26  ; E8H    'GET'
;
;       STAT PLOT COMMANDS
;
STATPCMD        .EQU       PROGTOK+27
;
TPLOTON         .EQU       STATPCMD    ; E9H     ' PLOTSON'
TPLOTOFF        .EQU       STATPCMD+1   ; EAH     ' PLOTSOFF
;
TLISTNAME       .EQU       0EBH        ; LIST DESIGNATOR
;
;
;
TPLOT1          .EQU       0ECH
TPLOT2          .EQU       0EDH
TPLOT3          .EQU       0EEH
;
TPOWER          .EQU       0F0H        ;        '^'
TXROOT          .EQU       0F1H        ;        LSUPX,LROOT

STATCMD         .EQU       0F2H
;
TONEVAR         .EQU       STATCMD     ; F2H    'ONEVAR_'
TTWOVAR         .EQU       STATCMD+1   ; F3H
TLR             .EQU       STATCMD+2   ; F4H    'LINR(A+BX
TLREXP          .EQU       STATCMD+3   ; F5H    'EXPR_'
TLRLN           .EQU       STATCMD+4   ; F6H    'LNR_'
TLRPWR          .EQU       STATCMD+5   ; F7H    'PWRR_'
TMEDMED         .EQU       STATCMD+6   ; F8H
TQUAD           .EQU       STATCMD+7   ; F9H
TCLRLST         .EQU       STATCMD+8   ; FAH    'CLEAR LIST
TCLRTBL         .EQU       STATCMD+9   ; FBH    CLEAR TABLE
THIST           .EQU       STATCMD+10  ; FCH    'HIST_'
TXYLINE         .EQU       STATCMD+11  ; FDH    'XYLINE_'
TSCATTER        .EQU       STATCMD+12  ; FEH    'SCATTER_'
TLR1            .EQU       STATCMD+13  ; FFH    'LINR(AX+B



;
; 2ND HALF OF GRAPH FORMAT TOKENS
;
; ===== FORMAT SETTINGS COMMANDS
;
GFMT            .EQU       0
;
TSEQ            .EQU       GFMT        ; 'SEQG'
TSIMULG         .EQU       GFMT+1      ; 'SIMULG'
TPOLARG         .EQU       GFMT+2      ; 'POLARGC'
TRECTG          .EQU       GFMT+3      ; 'RECTGC'
TCOORDON        .EQU       GFMT+4      ; 'COORDON'
TCOORDOFF       .EQU       GFMT+5      ; 'COORDOFF'
TDRAWLINE       .EQU       GFMT+6      ; 'DRAWLINE'
TDRAWDOT        .EQU       GFMT+7      ; 'DRAWDOT'
TAXISON         .EQU       GFMT+8      ; 'AXESON'
TAXISOFF        .EQU       GFMT+9      ; 'AXESOFF'
TGRIDON         .EQU       GFMT+10     ; 'GRIDON'
TGRIDOFF        .EQU       GFMT+11     ; 'GRIDOFF'
TLBLON          .EQU       GFMT+12     ; 'LABELON'
TLBLOFF         .EQU       GFMT+13     ; 'LABELOFF'
TWEBON          .EQU       GFMT+14     ; 'WEBON'
TWEBOFF         .EQU       GFMT+15     ; 'WEBOFF'
TUV             .EQU       GFMT+16     ; U VS V
TVW             .EQU       GFMT+17     ; V VS W
TUW             .EQU       GFMT+18     ; U VS W
;
;       2ND HALF OF USER MATRIX TOKENS
;
TMATA           .EQU       00H         ; MAT A
TMATB           .EQU       01H         ; MAT B
TMATC           .EQU       02H         ; MAT C
TMATD           .EQU       03H         ; MAT D
TMATE           .EQU       04H         ; MAT E
TMATF           .EQU       05H         ; MAT F
TMATG           .EQU       06H         ; MAT G
TMATH           .EQU       07H         ; MAT H
TMATI           .EQU       08H         ; MAT I
TMATJ           .EQU       09H         ; MAT J
;
;       2ND HALF OF USER LIST TOKENS
;
TL1             .EQU       00H         ; LIST 1
TL2             .EQU       01H         ; LIST 2
TL3             .EQU       02H         ; LIST 3
TL4             .EQU       03H         ; LIST 4
TL5             .EQU       04H         ; LIST 5
TL6             .EQU       05H         ; LIST 6


;
;       2ND HALF OF USER EQUATION TOKENS
;
;
;       "Y" EQUATIONS HAVE BIT 4 SET
;
TY1             .EQU       10H         ; Y1
TY2             .EQU       11H         ; Y2
TY3             .EQU       12H         ; Y3
TY4             .EQU       13H         ; Y4
TY5             .EQU       14H         ; Y5
TY6             .EQU       15H         ; Y6
TY7             .EQU       16H         ; Y7
TY8             .EQU       17H         ; Y8
TY9             .EQU       18H         ; Y9
TY0             .EQU       19H         ; Y0
;
;       PARAM EQUATIONS HAVE BIT 5 SET
;
TX1T            .EQU       20H         ; X1T
TY1T            .EQU       21H         ; Y1T
TX2T            .EQU       22H         ; X2T
TY2T            .EQU       23H         ; Y2T
TX3T            .EQU       24H         ; X3T
TY3T            .EQU       25H         ; Y3T
TX4T            .EQU       26H         ; X4T
TY4T            .EQU       27H         ; Y4T
TX5T            .EQU       28H         ; X5T
TY5T            .EQU       29H         ; Y5T
TX6T            .EQU       2AH         ; X6T
TY6T            .EQU       2BH         ; Y6T
;
;       POLAR EQUATIONS HAVE BIT 6 SET
;
TR1             .EQU       40H         ; R1
TR2             .EQU       41H         ; R2
TR3             .EQU       42H         ; R3
TR4             .EQU       43H         ; R4
TR5             .EQU       44H         ; R5
TR6             .EQU       45H         ; R6
;
;       RECURSION EQUATIONS HAVE BIT 7 SET
;
TUN             .EQU       80H         ; UN
TVN             .EQU       81H         ; VN
TWN             .EQU       82H         ; WN
;
;       2ND HALF OF USER PICTURE TOKENS
;
TPIC1           .EQU       00H         ; PIC1
TPIC2           .EQU       01H         ; PIC2
TPIC3           .EQU       02H         ; PIC3
TPIC4           .EQU       03H         ; PIC4
TPIC5           .EQU       04H         ; PIC5
TPIC6           .EQU       05H         ; PIC6
TPIC7           .EQU       06H         ; PIC7
TPIC8           .EQU       07H         ; PIC8
TPIC9           .EQU       08H         ; PIC9
TPIC0           .EQU       09H         ; PIC0
;
;       2ND HALF OF USER GRAPH DATABASE TOKENS
;
TGDB1           .EQU       00H         ; GDB1
TGDB2           .EQU       01H         ; GDB2
TGDB3           .EQU       02H         ; GDB3
TGDB4           .EQU       03H         ; GDB4
TGDB5           .EQU       04H         ; GDB5
TGDB6           .EQU       05H         ; GDB6
TGDB7           .EQU       06H         ; GDB7
TGDB8           .EQU       07H         ; GDB8
TGDB9           .EQU       08H         ; GDB9
TGDB0           .EQU       09H         ; GDB0
;
;       2ND HALF OF STRING VARS
;
TSTR1           .EQU       00H
TSTR2           .EQU       01H
TSTR3           .EQU       02H
TSTR4           .EQU       03H
TSTR5           .EQU       04H
TSTR6           .EQU       05H
TSTR7           .EQU       06H
TSTR8           .EQU       07H
TSTR9           .EQU       08H
TSTR0           .EQU       09H


;
;       2ND HALF OF SYSTEM OUTPUT ONLY VARIABLES
;
;
;   OPEN        .EQU       00H
;
TREGEQ          .EQU       01H         ; REGRESSION EQUATION
;
TSTATN          .EQU       02H         ; STATISTICS N
;
TXMEAN          .EQU       03H         ; X MEAN
TSUMX           .EQU       04H         ; SUM(X)
TSUMXSQR        .EQU       05H         ; SUM(X^2)
TSTDX           .EQU       06H         ; STANDARD DEV X
TSTDPX          .EQU       07H         ; STANDARD DEV POP X
TMINX           .EQU       08H         ; MIN X VALUE
TMAXX           .EQU       09H         ; MAX X VALUE
;
TMINY           .EQU       0AH         ; MIN Y VALUE
TMAXY           .EQU       0BH         ; MAX Y VALUE
TYMEAN          .EQU       0CH         ; Y MEAN
TSUMY           .EQU       0DH         ; SUM(Y)
TSUMYSQR        .EQU       0EH         ; SUM(Y^2)
TSTDY           .EQU       0FH         ; STANDARD DEV Y
TSTDPY          .EQU       10H         ; STANDARD DEV POP Y
;
TSUMXY          .EQU       11H         ; SUM(XY)
TCORR           .EQU       12H         ; CORRELATION
TMEDX           .EQU       13H         ; MED(X)
TQ1             .EQU       14H         ; 1ST QUADRANT OF X
TQ3             .EQU       15H         ; 3RD QUADRANT OF X
TQUADA          .EQU       16H         ; 1ST TERM OF QUAD POLY REG/ Y-INT
TQUADB          .EQU       17H         ; 2ND TERM OF QUAD POLY REG/ SLOPE
TQUADC          .EQU       18H         ; 3RD TERM OF QUAD POLY REG
TCUBED          .EQU       19H         ; 4TH TERM OF CUBIC POLY REG
TQUARTE         .EQU       1AH         ; 5TH TERM OF QUART POLY REG
TMEDX1          .EQU       1BH         ; X1 FOR MED-MED
TMEDX2          .EQU       1CH         ; X2 FOR MED-MED
TMEDX3          .EQU       1DH         ; X3 FOR MED-MED
TMEDY1          .EQU       1EH         ; Y1 FOR MED-MED
TMEDY2          .EQU       1FH         ; Y2 FOR MED-MED
TMEDY3          .EQU       20H         ; Y3 FOR MED-MED
;
TRECURN           .EQU       21H       ; RECURSION N
TSTATP          .EQU       22H
TSTATZ          .EQU       23H
TSTATT          .EQU       24H
TSTATCHI        .EQU       25H
TSTATF          .EQU       26H
TSTATDF         .EQU       27H
TSTATPHAT       .EQU       28H
TSTATPHAT1      .EQU       29H
TSTATPHAT2      .EQU       2AH
TSTATMEANX1     .EQU       2BH
TSTATSTDX1      .EQU       2CH
TSTATN1         .EQU       2DH
TSTATMEANX2     .EQU       2EH
TSTATSTDX2      .EQU       2FH
TSTATN2         .EQU       30H
TSTATSTDXP      .EQU       31H
TSTATLOWER      .EQU       32H
TSTATUPPER      .EQU       33H
TSTAT_S         .EQU       34H
TLRSQR          .EQU       35H         ; R^2
TBRSQR          .EQU       36H         ; R^2
;
;       THESE NEXT TOKENS ARE ONLY USED TO ACESS THE DATA
;       THEY ARE DISPLAY ONLY AND THE USER CANNOT ACCESS THEM AT ALL
;
TF_DF    .EQU     37H       ; ANOFAV FACTOR DF
TF_SS    .EQU     38H       ; ANOFAV FACTOR SS
TF_MS    .EQU     39H       ; ANOFAV FACTOR MS
TE_DF    .EQU     3AH       ; ANOFAV ERROR DF
TE_SS    .EQU     3BH       ; ANOFAV ERROR SS
TE_MS    .EQU     3CH       ; ANOFAV ERROR MS
;


;
;       2ND HALF OF SYSTEM INPUT/OUTPUT VARIABLES
;

; SYSTEM VARIABLE EQUATES
;
;       VARS WITH NO RESTRICTION
;
TUXSCL       .EQU  0
TUYSCL       .EQU  1
TXSCL        .EQU  2
TYSCL        .EQU  3
TRECURU0     .EQU  4        ; U 1ST INITIAL COND
TRECURV0     .EQU  5        ; V 1ST INITIAL COND
TUN1         .EQU  6        ; U(N-1)    ; NOT USED
TVN1         .EQU  7        ; V(N-1)    ; NOT USED
TURECURU0    .EQU  8        ;
TURECURV0    .EQU  9        ;
;
;       VARS ROUNDED TO 10 DIGITS
;
TXMIN        .EQU  0AH
TXMAX        .EQU  0BH
TYMIN        .EQU  0CH
TYMAX        .EQU  0DH
TTMIN        .EQU  0EH
TTMAX        .EQU  0FH
TTHETAMIN    .EQU  10H
TTHETAMAX    .EQU  11H
TUXMIN       .EQU  12H
TUXMAX       .EQU  13H
TUYMIN       .EQU  14H
TUYMAX       .EQU  15H
TUTHETMIN    .EQU  16H
TUTHETMAX    .EQU  17H
TUTMIN       .EQU  18H
TUTMAX       .EQU  19H
TTBLMIN      .EQU  1AH
TPLOTSTART   .EQU  1BH
TUPLOTSTART  .EQU  1CH
TNMAX        .EQU  1DH
TUNMAX       .EQU  1EH
TNMIN        .EQU  1FH
TUNMIN       .EQU  20H
;
;       VARS CANNOT BE 0
;
TTBLSTEP     .EQU  21H
TTSTEP       .EQU  22H
TTHETASTEP    .EQU  23H
TUTSTEP      .EQU  24H
TUTHETSTEP     .EQU  25H
;
;       SPECIAL LIMITS ON THESE
;
TDELTAX      .EQU  26H
TDELTAY      .EQU  27H
;
;       SPECIAL LIMITS ON THESE
;
TXFACT       .EQU  28H
TYFACT       .EQU  29H
;
TTBLINPUT       .EQU       2AH
;
;       ANY RESTRICTIONS ??????
;
TFINN           .EQU       2BH
TFINI           .EQU       2CH
TFINPV          .EQU       2DH
TFINPMT         .EQU       2EH
TFINFV          .EQU       2FH
TFINPY          .EQU       30H
TFINCY          .EQU       31H
;
TRECURW0        .EQU       32H         ; W0(1)
TURECURW0       .EQU       33H
;
TPLOTSTEP       .EQU       34H
TUPLOTSTEP      .EQU       35H
;
TXRES           .EQU       36H
TUXRES          .EQU       37H
;
;       ALL THE TOKENS BELOW DO NOT HAVE STRINGS ASSOCIATED
;       THEY ARE HERE JUST FOR STORING AND RECALLING
;
TRECURU02       .EQU       38H         ; U0(2)
TURECURU02      .EQU       39H
TRECURV02       .EQU       3CH         ; V0(2)
TURECURV02      .EQU       3DH
TRECURW02       .EQU       3EH         ; W0(2)
TURECURW02      .EQU       3FH
;
; NO RESTRICTIONS
;
;TWN1           .EQU       40H         ; W(N-1)
;UN2           .EQU       41H         ; U(N-2)
;VN2           .EQU       42H         ; V(N-2)
;WN2           .EQU       43H         ; W(N-2)
;
;
;       DON'T KNOW IF NEED THESE YET ?
;
;TUI12
;TUI22
;TUUI12
;TUUI22
;
;

TFINNPV         .EQU       00H         ; IMMEDIATE UNARY
TFINIRR         .EQU       01H         ; IMMEDIATE UNARY
TFINBAL         .EQU       02H         ; IMMEDIATE UNARY
TFINPRN         .EQU       03H         ; IMMEDIATE UNARY
TFININT         .EQU       04H         ; IMMEDIATE UNARY
TFINTONOM       .EQU       05H         ; IMMEDIATE UNARY
TFINTOEFF       .EQU       06H         ; IMMEDIATE UNARY
TFINDBD         .EQU       07H         ; IMMEDIATE UNARY
TLCM            .EQU       08H         ; IMMEDIATE UNARY
TGCD            .EQU       09H         ; IMMEDIATE UNARY
TRANDINT        .EQU       0AH         ; IMMEDIATE UNARY
TRANDBIN        .EQU       0BH         ; IMMEDIATE UNARY
TSUBSTRNG       .EQU       0CH         ; IMMEDIATE UNARY
TSTDDEV         .EQU       0DH         ; IMMEDIATE UNARY
TVARIANCE       .EQU       0EH         ; IMMEDIATE UNARY
TINSTRNG        .EQU       0FH         ; IMMEDIATE UNARY
TDNORMAL        .EQU       10H         ; IMMEDIATE UNARY
TINVNORM        .EQU       11H         ; IMMEDIATE UNARY
TDT             .EQU       12H         ; IMMEDIATE UNARY
TCHI            .EQU       13H         ; IMMEDIATE UNARY
TDF             .EQU       14H         ; IMMEDIATE UNARY
TBINPDF         .EQU       15H         ; IMMEDIATE UNARY
TBINCDF         .EQU       16H         ; IMMEDIATE UNARY
TPOIPDF         .EQU       17H         ; IMMEDIATE UNARY
TPOICDF         .EQU       18H         ; IMMEDIATE UNARY
TGEOPDF         .EQU       19H         ; IMMEDIATE UNARY
TGEOCDF         .EQU       1AH         ; IMMEDIATE UNARY
TNORMALPDF      .EQU       1BH         ; IMMEDIATE UNARY
TTPDF           .EQU       1CH         ; IMMEDIATE UNARY
TCHIPDF         .EQU       1DH         ; IMMEDIATE UNARY
TFPDF           .EQU       1EH         ; IMMEDIATE UNARY
;TRANDBIN        .EQU       1FH         ; IMMEDIATE UNARY
TRANDNORM       .EQU       1FH         ; IMMEDIATE UNARY
TFINFPMT        .EQU       20H         ; 0 OR MULTY ARG FUNCTION
TFINFI          .EQU       21H         ; 0 OR MULTY ARG FUNCTION
TFINFPV         .EQU       22H         ; 0 OR MULTY ARG FUNCTION
TFINFN          .EQU       23H         ; 0 OR MULTY ARG FUNCTION
TFINFFV         .EQU       24H         ; 0 OR MULTY ARG FUNCTION
TCONJ           .EQU       25H         ; UNARY
TREAL           .EQU       26H         ; UNARY
TIMAG           .EQU       27H         ; UNARY
TANGLE          .EQU       28H         ; UNARY
TCUMSUM         .EQU       29H         ; UNARY
TEXPR           .EQU       2AH         ; UNARY
TLENGTH         .EQU       2BH         ; UNARY
TDELTALST       .EQU       2CH         ; UNARY
TREF            .EQU       2DH         ; UNARY
TRREF           .EQU       2EH         ; UNARY
TTORECT         .EQU       2FH         ; DISPLAY CONVERSION
TTOPOLAR        .EQU       30H         ; DISPLAY CONVERSION
TCONSTE         .EQU       31H         ; FUNCTION NO ARG
TSINREG         .EQU       32H         ; COMMAND OPT PUSH
TLOGISTIC       .EQU       33H         ; COMMAND OPT PUSH
TLINREGTTEST    .EQU       34H         ; COMMAND OPT PUSH
TSHADENORM      .EQU       35H         ; COMMAND PUSHED
TSHADET         .EQU       36H         ; COMMAND PUSHED
TSHADECHI       .EQU       37H         ; COMMAND PUSHED
TSHADEF         .EQU       38H         ; COMMAND PUSHED
TMATTOLST       .EQU       39H         ; COMMAND PUSHED
TLSTTOMAT       .EQU       3AH         ; COMMAND PUSHED
TZTEST          .EQU       3BH         ; COMMAND PUSHED
TTTEST          .EQU       3CH         ; COMMAND PUSHED
T2SAMPZTEST     .EQU       3DH         ; COMMAND PUSHED
T1PROPZTEST     .EQU       3EH         ; COMMAND PUSHED
T2PROPZTEST     .EQU       3FH         ; COMMAND PUSHED
TCHITEST        .EQU       40H         ; COMMAND PUSHED
TZINTVAL        .EQU       41H         ; COMMAND PUSHED
T2SAMPZINT      .EQU       42H         ; COMMAND PUSHED
T1PROPZINT      .EQU       43H         ; COMMAND PUSHED
T2PROPZINT      .EQU       44H         ; COMMAND PUSHED
TGRAPHSTYLE     .EQU       45H         ; COMMAND PUSHED
T2SAMPTTEST     .EQU       46H         ; COMMAND OPT PUSHED
T2SAMPFTEST     .EQU       47H         ; COMMAND OPT PUSHED
TTINTVAL        .EQU       48H         ; COMMAND OPT PUSHED
T2SAMPTINT      .EQU       49H         ; COMMAND OPT PUSHED
TSETUPLST       .EQU       4AH         ; COMMAND OPT PUSHED
TFINPMTEND      .EQU       4BH         ; MODE COMMAND
TFINPMTBEG      .EQU       4CH         ; MODE COMMAND
TREALM          .EQU       4DH         ; MODE COMMAND
TPOLARM         .EQU       4EH         ; MODE COMMAND
TRECTM          .EQU       4FH         ; MODE COMMAND
TEXPRON         .EQU       50H         ; MODE COMMAND
TEXPROFF        .EQU       51H         ; MODE COMMAND
TCLRALLLST      .EQU       52H         ; COMMAND NOT PUSHED
TGETCALC        .EQU       53H         ; COMMAND NOT PUSHED
TDELVAR         .EQU       54H         ; COMMAND NOT PUSHED
TEQUTOSTRNG     .EQU       55H         ; COMMAND NOT PUSHED
TSTRNGTOEQU     .EQU       56H         ; COMMAND NOT PUSHED
TDELLAST        .EQU       57H         ; COMMAND NOT PUSHED
TSELECT         .EQU       58H         ; COMMAND NOT PUSHED
TANOVA          .EQU       59H         ; COMMAND NOT PUSHED
TMODBOX         .EQU       5AH         ; ICON
TNORMPROB       .EQU       5BH         ; ICON
;
;       TOKENS 5CH TO 63H CANNOT BE THE 2ND BYTE OF
;       TWO BYTE TOKENS. THESE ARE ALREADY THE 1ST BYTE VALUE
;       OF TWO BYTE TOKENS. READING TOKENS BACKWARDS WILL NOT
;       WORK IF THIS RESTRICTION IS NOT IN PLACE.
;
;
;       NO USE  .EQU       5CH
;       NO USE  .EQU       5DH
;       NO USE  .EQU       5EH
;       NO USE  .EQU       5FH
;       NO USE  .EQU       60H
;       NO USE  .EQU       61H
;       NO USE  .EQU       62H
;       NO USE  .EQU       63H
;
TMGT            .EQU       64H         ; VERTICAL SPLIT
TZFIT           .EQU       65H         ; ZOOM FIT
TDIAG_ON        .EQU       66H         ; DIANOSTIC DISPLAY ON
TDIAG_OFF       .EQU       67H         ; DIANOSTIC DISPLAY OFF
;
;

.list
